pkg-js-tools (0.17.5) unstable; urgency=medium

  [ Xavier Guimard ]
  * Declare compliance with policy 4.7.4
  * Drop "Priority: optional"

  [ Chris Lamb ]
  * Fix pkgjs-lock.json files if nocheck specified (Closes: #1140098)

 -- Xavier Guimard <yadd@debian.org>  Wed, 17 Jun 2026 13:39:58 +0200

pkg-js-tools (0.17.4) unstable; urgency=medium

  [ Danilo Egea Gondolfo ]
  * d/t/autopkgtest-pkg-perl.conf: add fakeroot as dependency

  [ Xavier Guimard ]
  * Force STABLE_VERSION

 -- Xavier Guimard <yadd@debian.org>  Thu, 02 Apr 2026 11:15:47 +0200

pkg-js-tools (0.17.3) unstable; urgency=medium

  * Use uscan's Npmregistry template
  * Fix ${nodejs:Provides} to avoid double provide (Closes: #1131311)

 -- Xavier Guimard <yadd@debian.org>  Fri, 20 Mar 2026 10:44:52 +0100

pkg-js-tools (0.17.2) unstable; urgency=medium

  * Increase MAX_BUILD_LOOP (Closes: #1130461)

 -- Xavier Guimard <yadd@debian.org>  Thu, 12 Mar 2026 17:36:28 +0100

pkg-js-tools (0.17.1) unstable; urgency=medium

  [ Guillem Jover ]
  * Pass also no_check to Dpkg::IPC spawn() and wait_child()

  [ Yadd ]
  * Declare compliance with policy 4.7.3
  * Back to unstable

 -- Yadd <yadd@debian.org>  Wed, 31 Dec 2025 20:43:16 +0100

pkg-js-tools (0.17.0) experimental; urgency=medium

  * pkgjs-depends: drop old hook
  * Add automatically nodejs:any into dependencies when package install a link
    into /usr/bin or /usr/sbin

 -- Yadd <yadd@debian.org>  Mon, 13 Oct 2025 14:56:53 +0200

pkg-js-tools (0.16.0) unstable; urgency=medium

  * Compatibility with debian/watch version 5
  * Add libio-string-perl into test deps

 -- Yadd <yadd@debian.org>  Sun, 17 Aug 2025 13:28:18 +0200

pkg-js-tools (0.15.23) unstable; urgency=medium

  [ Yadd ]
  * pkgjs-easy-to-update: ban perlnavigator and add "--force" to "npm i"

  [ Julian Gilbey ]
  * Use source package names into ${nodejs:BuiltUsing} (Closes: #1110204)

 -- Yadd <yadd@debian.org>  Fri, 01 Aug 2025 09:28:52 +0200

pkg-js-tools (0.15.22) unstable; urgency=medium

  * pkgjs-run: use new pkgjs in aliases
  * debhelper: don't launch more than allowed processes when building
    pkgjs-lock
  * dh-nodejs: add dependency to libfile-which-perl
  * Bug #1076904:
    * Add build dependencies to libdpkg-perl and libwww-perl to well build
      manpages when NOCHECK
    * Fix version in help2man
    * Set DEVSCRIPTS_CHECK_DIRNAME_LEVEL=0 when building pkgjs-run manpage
  * Update debian/rules to build manpage during build step

 -- Yadd <yadd@debian.org>  Sat, 27 Jul 2024 09:04:13 +0400

pkg-js-tools (0.15.21) unstable; urgency=medium

  * Add command pkgjs
    (simple wrapper to replace yarn during Debian package build)
  * Clean debian/rules (drop useless fields)

 -- Yadd <yadd@debian.org>  Tue, 04 Jun 2024 11:30:18 +0400

pkg-js-tools (0.15.20) unstable; urgency=medium

  [ Jérémy Lal ]
  * nodepath: pass integer to process.exit. Closes: #1071213

 -- Yadd <yadd@debian.org>  Thu, 16 May 2024 13:59:58 +0400

pkg-js-tools (0.15.19) unstable; urgency=medium

  * pkgjs-run:
    + add --if-exist option
    + replace yarn and cross-env
    + expose ALIASES and BADCOMMANDS env vars
    + fix --version and --help

 -- Yadd <yadd@debian.org>  Mon, 22 Apr 2024 08:43:39 +0400

pkg-js-tools (0.15.18) unstable; urgency=medium

  * pkgjs-run: same output than `npm run`
  * dh-nodejs: provides dh-nodejs-autodocs (Closes: #1055346)
  * debhelper: restore package.json if mjs2cjs modified it (Closes: #1046772)

 -- Yadd <yadd@debian.org>  Tue, 09 Jan 2024 17:05:17 +0400

pkg-js-tools (0.15.17) unstable; urgency=medium

  * Drop test dependency to fakeroot by using Rules-Require-Root:no.
    Thanks to Niels Thykier! (Closes: #1059565)

 -- Yadd <yadd@debian.org>  Thu, 28 Dec 2023 19:36:34 +0400

pkg-js-tools (0.15.16) unstable; urgency=medium

  * pkgjs-run: keep arguments after --
  * debhelper:
    + add esbuild in webpack (to generate pkg-js.lock)
  * Update standards version to 4.6.2, no changes needed.
  * Update test dependencies: replace devscripts by fakeroot
    (Closes: #1059565)

 -- Yadd <yadd@debian.org>  Thu, 28 Dec 2023 17:54:01 +0400

pkg-js-tools (0.15.15) unstable; urgency=medium

  * debhelper:
    + add rollup.config/mjs to auto-build list
    + fix links clean

 -- Yadd <yadd@debian.org>  Sun, 17 Sep 2023 09:44:30 +0400

pkg-js-tools (0.15.14) unstable; urgency=medium

  * Scan package.json "workspaces" even if lerna.conf doesn't contain
    "useWorkspaces"
  * pkgjs-run: create symbolic links to have "babel" linked to babeljs

 -- Yadd <yadd@debian.org>  Sat, 09 Sep 2023 21:27:49 +0400

pkg-js-tools (0.15.13) unstable; urgency=medium

  * dh_nodejs_autodocs: add CODE_OF_CONDUCT
  * add-node-component: update warnings
  * debhelper: improve workspaces support
  * pkgjs-utils:
    + add ordered_components_list
    + add packages_list
    + improve manpage
  * pkgjs-depends: add experimental "-a" option
  * new experimental tool: pkgjs-lerna

 -- Yadd <yadd@debian.org>  Sat, 26 Aug 2023 17:35:26 +0400

pkg-js-tools (0.15.12) unstable; urgency=medium

  * debhelper: fix "!" patterns

 -- Yadd <yadd@debian.org>  Sat, 17 Dec 2022 19:06:13 +0100

pkg-js-tools (0.15.11) unstable; urgency=medium

  * Fix manpage using node-marked >= 1.3.1~

 -- Yadd <yadd@debian.org>  Tue, 06 Dec 2022 17:22:49 +0100

pkg-js-tools (0.15.10) unstable; urgency=medium

  [ Jérémy Lal ]
  * Markdown linting
  * B-D-I node-marked-man >= 1.3.0 <!nodoc>

  [ Yadd ]
  * dh_nodejs_autodocs:
    + accept readme*.md and readme*.markdown

 -- Yadd <yadd@debian.org>  Wed, 30 Nov 2022 14:14:10 +0100

pkg-js-tools (0.15.9) unstable; urgency=medium

  * dh_nodejs_autodocs:
    + install NOTICE files (Apache-2.0 license requires it)
    + install AUTHORS file
  * Fix autopkgtest: use fakeroot for each dh_*install

 -- Yadd <yadd@debian.org>  Tue, 22 Nov 2022 15:34:33 +0100

pkg-js-tools (0.15.8) unstable; urgency=medium

  [ Ayoyimika Ajibade ]
  * Update doc

  [ Yadd ]
  * dh_nodejs_autodocs: rename changelogs into "changelog"

 -- Yadd <yadd@debian.org>  Thu, 03 Nov 2022 17:38:25 +0100

pkg-js-tools (0.15.7) unstable; urgency=medium

  * mjs2cjs:
    + prepare for rollup 3
    + add test for option -a

 -- Yadd <yadd@debian.org>  Wed, 12 Oct 2022 18:07:14 +0200

pkg-js-tools (0.15.6) unstable; urgency=medium

  * debhelper: fix external links

 -- Yadd <yadd@debian.org>  Sun, 09 Oct 2022 09:05:15 +0200

pkg-js-tools (0.15.5) unstable; urgency=medium

  * pkgjs-ln: add autopkgtest
  * New tool: dh_nodejs_build_debug_package

 -- Yadd <yadd@debian.org>  Fri, 30 Sep 2022 18:51:27 +0200

pkg-js-tools (0.15.4) unstable; urgency=medium

  * pkg-js-tools depends on the same version of dh-nodejs
  * mjs2cjs: fix -a with a file argument
  * pkgjs-ln:
    + don't fail if link already exists
    + fix "-t" option

 -- Yadd <yadd@debian.org>  Fri, 30 Sep 2022 09:35:38 +0200

pkg-js-tools (0.15.3) unstable; urgency=medium

  * doc: replace X-Javascript-Built-Using by XB-Javascript-Built-Using
    (Closes: #1018728)
  * mjs2cjs: fix for recent @rollup/plugin-node-resolve

 -- Yadd <yadd@debian.org>  Mon, 19 Sep 2022 17:46:08 +0200

pkg-js-tools (0.15.2) unstable; urgency=medium

  * Back to unstable, BREACKING CHANGE:
    Since version 0.15.0, pkg-js-autopkgtest launches Node.js with
    `--disable-proto=throw`. This causes tests to fail if
    `Object.prototype.__proto__` property is used. See pkg-js-autopkgtest(7)

 -- Yadd <yadd@debian.org>  Mon, 12 Sep 2022 12:16:58 +0200

pkg-js-tools (0.15.1) experimental; urgency=medium

  * autopkgtest: use NODE_OPTIONS not NODE_DEFAULTS

 -- Yadd <yadd@debian.org>  Sat, 10 Sep 2022 21:50:15 +0200

pkg-js-tools (0.15.0) experimental; urgency=medium

  * autopkgtest: disable prototype using
    NODE_DEFAULTS="--disable-proto=throw"

 -- Yadd <yadd@debian.org>  Sat, 10 Sep 2022 19:50:07 +0200

pkg-js-tools (0.14.37) unstable; urgency=medium

  * Install getFromNpmCache manpage
  * Add Jakefile into makefiles list
  * debhelper:
    + don't generate pkgjs-lock.json for rollup, only for
      node-rollup-plugin-node-resolve

 -- Yadd <yadd@debian.org>  Fri, 09 Sep 2022 08:31:53 +0200

pkg-js-tools (0.14.36) unstable; urgency=medium

  * pkgjs-depends:
    + display missing peerDependencies
    + add --no-progress option
    + don't display progress bar when output isn't a TTY
    + fix main package detection when name starts with @
    + add --no-peer-dependencies option

 -- Yadd <yadd@debian.org>  Thu, 11 Aug 2022 21:18:09 +0200

pkg-js-tools (0.14.35) unstable; urgency=medium

  * pkgjs-depends: fix main package detection (broken in 0.14.34)

 -- Yadd <yadd@debian.org>  Wed, 10 Aug 2022 08:40:41 +0200

pkg-js-tools (0.14.34) unstable; urgency=medium

  * pkgjs-depends:
    + BREAKING CHANGE: old --graph option renamed to --missing-graph
    + add --graph option

 -- Yadd <yadd@debian.org>  Wed, 10 Aug 2022 07:03:11 +0200

pkg-js-tools (0.14.33) unstable; urgency=medium

  * Fix build dependencies (Closes: #1016689)
  * pkgjs-depends:
    + include version for inspected also in "missing" part (Closes: #1016691)
    + display the total amount of missing dependencies (Closes: #1016692)
    + add --graph option (See: #1016587)

 -- Yadd <yadd@debian.org>  Sat, 06 Aug 2022 08:26:58 +0200

pkg-js-tools (0.14.32) unstable; urgency=medium

  * New tool: getFromNpmCache
  * pkgjs-install: use npm cache if available
  * autopkgtest:
    + add .mocharc.json and .babelrc.json in Makefile list
  * pkgjs-depends: fix for circular dependencies (Closes: #1016483)

 -- Yadd <yadd@debian.org>  Tue, 02 Aug 2022 18:54:30 +0200

pkg-js-tools (0.14.31) unstable; urgency=medium

  * add-node-component: include main module into component tree
                        (option --cmp-tree)
  * All tools: include peerDependencies in dependencies
  * Declare compliance with policy 4.6.1
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 29 Jun 2022 16:59:19 +0200

pkg-js-tools (0.14.30) unstable; urgency=medium

  * debhelper: fix ignoring additional_components for lerna components

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 08:03:48 +0200

pkg-js-tools (0.14.29) unstable; urgency=medium

  * autopkgtest: reduce noise

 -- Yadd <yadd@debian.org>  Wed, 15 Jun 2022 06:33:32 +0200

pkg-js-tools (0.14.28) unstable; urgency=medium

  * Fix pkgjs-install-minimal

 -- Yadd <yadd@debian.org>  Thu, 09 Jun 2022 13:15:01 +0200

pkg-js-tools (0.14.27) unstable; urgency=medium

  * pkgjs-install:
    + add --copy option
    + add --no-package-lock option
  * add-node-component: update --cmp-tree to display all components
  * New tool: pkgjs-install-minimal

 -- Yadd <yadd@debian.org>  Thu, 09 Jun 2022 12:48:48 +0200

pkg-js-tools (0.14.26) unstable; urgency=medium

  * pkgjs-install:
    + fix bin links
    + launch postinst script with pkgjs-run
    + don't download already installed modules
    + fix --install-command
  * autopkgtest: don't fail when link exists
  * pkgjs-ln: add '-t' option
  * pkgjs-run: replace also `pnpm run`

 -- Yadd <yadd@debian.org>  Sun, 05 Jun 2022 20:53:16 +0200

pkg-js-tools (0.14.25) unstable; urgency=medium

  * nodepath: improve -t option for builtin modules
  * New tool: pkgjs-easy-to-update, show packages easy to update
  * debhelper: fix additional components detection

 -- Yadd <yadd@debian.org>  Wed, 18 May 2022 17:49:22 +0200

pkg-js-tools (0.14.24) unstable; urgency=medium

  * pkgjs-install: add --no-download option
  * pkgjs-run: replace npm run|install by pkgjs-run|install
  * nodepath: add -t option to search for typescript declarations

 -- Yadd <yadd@debian.org>  Tue, 17 May 2022 18:49:35 +0200

pkg-js-tools (0.14.23) unstable; urgency=medium

  * pkgjs-install: fix install for recent npm

 -- Yadd <yadd@debian.org>  Fri, 13 May 2022 09:24:08 +0200

pkg-js-tools (0.14.22) unstable; urgency=medium

  * pkgjs-install:
    + reduce packages to link/download to what is strictly necessary
    + add --all option to go back to previous behavior
    + add --strict option
    + add --audit option
    + launch npm with --ignore-scripts when generating package-lock.json
  * New tool: pkgjs-run

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 13:55:39 +0200

pkg-js-tools (0.14.21) unstable; urgency=medium

  * Refactor semver
  * pkgjs-install: fix --install

 -- Yadd <yadd@debian.org>  Mon, 09 May 2022 11:32:06 +0200

pkg-js-tools (0.14.20) unstable; urgency=medium

  * Add lolex in banned list (renamed to @sinonjs/fake-timers)
  * New tool: pkgjs-install, TODO: --strict mode

 -- Yadd <yadd@debian.org>  Sun, 08 May 2022 09:06:08 +0200

pkg-js-tools (0.14.19) unstable; urgency=medium

  * autopkgtest: automatically copy map.js (needed by tap >= 15)
  * debhelper: fix links when wanted module has a name which is also a
    built-in module (Closes: #1009579)

 -- Yadd <yadd@debian.org>  Sat, 16 Apr 2022 08:57:09 +0200

pkg-js-tools (0.14.18) unstable; urgency=medium

  * dh_nodejs_autodocs: fix auto_dispatch

 -- Yadd <yadd@debian.org>  Mon, 11 Apr 2022 18:07:49 +0200

pkg-js-tools (0.14.17) unstable; urgency=medium

  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Sat, 09 Apr 2022 12:59:34 +0200

pkg-js-tools (0.14.16) unstable; urgency=medium

  * mjs2cjs:
    + fix when wrapper exists (debian/index.cjs)
    + change default commonjs file to pkg.exports.require

 -- Yadd <yadd@debian.org>  Sat, 09 Apr 2022 09:41:59 +0200

pkg-js-tools (0.14.15) unstable; urgency=medium

  * doc: add features history
  * Clean .nyc_output
  * Suggests rollup
  * Improve mjs2cjs: keep type:module to avoid breaking mjs

 -- Yadd <yadd@debian.org>  Fri, 08 Apr 2022 16:48:27 +0200

pkg-js-tools (0.14.14) unstable; urgency=medium

  * mjs2cjs: improve option "-a"
  * debhelper: fix dh_nodejs_substvars

 -- Yadd <yadd@debian.org>  Fri, 01 Apr 2022 15:46:25 +0200

pkg-js-tools (0.14.13) unstable; urgency=medium

  * mjs2cjs: add option -a ("auto")

 -- Yadd <yadd@debian.org>  Thu, 31 Mar 2022 14:43:39 +0200

pkg-js-tools (0.14.12) unstable; urgency=medium

  * mjs2cjs:
    + add -b ("bundle") and -o ("out") options
    + drop dependency to terser

 -- Yadd <yadd@debian.org>  Wed, 30 Mar 2022 11:12:09 +0200

pkg-js-tools (0.14.11) unstable; urgency=medium

  * Add no_lerna tests
  * autopkgtest: improve "require" test for modules when
    /usr/share/node_modules links exists (given by nodejs 14 in unstable)

 -- Yadd <yadd@debian.org>  Fri, 25 Mar 2022 16:07:05 +0100

pkg-js-tools (0.14.10) unstable; urgency=medium

  [ Yadd ]
  * autopkgtest: able to skip main module using
    debian/tests/pkg-js/require-SKIP

  [ Martina Ferrari ]
  * Fix dh-sequence-nodejs-no-lerna (Closes: #1008230)
  * Add missing EOL in error messages.

  [ Yadd ]
  * Fix doc: a "main" component is always required (Closes: #1008229). Thanks
    to Martina Ferrari

 -- Yadd <yadd@debian.org>  Fri, 25 Mar 2022 15:26:47 +0100

pkg-js-tools (0.14.9) unstable; urgency=medium

  * Reupload after nodejs 14 transition

 -- Yadd <yadd@debian.org>  Wed, 23 Mar 2022 06:27:57 +0100

pkg-js-tools (0.14.8) unstable; urgency=medium

  * nodepath: manage builtins modules
  * debhelper:
    + dh_nodejs_substvars now accept virtual packages without version
    + follow lerna.json#useWorkspaces
    + Add ${nodejs:Provides} test

 -- Yadd <yadd@debian.org>  Tue, 22 Mar 2022 14:22:13 +0100

pkg-js-tools (0.14.7) unstable; urgency=medium

  * nodepath: exit with error if package is wanted (-p) and result path is
    related
  * debhelper: fix substvars names (Closes: #1008034)

 -- Yadd <yadd@debian.org>  Mon, 21 Mar 2022 12:04:33 +0100

pkg-js-tools (0.14.6) unstable; urgency=medium

  * debhelper:
    + Don't fail when subsvars were not generated, just warn
      (Closes: #1008037)

 -- Yadd <yadd@debian.org>  Mon, 21 Mar 2022 11:20:47 +0100

pkg-js-tools (0.14.5) unstable; urgency=medium

  * dh_nodejs_autodocs:
    + add "auto_dispatch"
    + fix link error
  * debhelper:
    + add tsconfig.tsbuildinfo in blacklist
    + drop tests?/ components from "workspaces"
    + silently skip files for component list
    + generate ${nodeFoo:Provides} for each component

 -- Yadd <yadd@debian.org>  Fri, 18 Mar 2022 06:03:57 +0100

pkg-js-tools (0.14.4) unstable; urgency=medium

  * Reduce dh-nodejs dependencies
  * Back to unstable after successful tests

 -- Yadd <yadd@debian.org>  Tue, 15 Mar 2022 17:31:00 +0100

pkg-js-tools (0.14.3) experimental; urgency=medium

  * pkgjs-depends:
    + fix progressbar when launched with local package.json
    + fix mismatch display (module version, not package one)

 -- Yadd <yadd@debian.org>  Tue, 15 Mar 2022 16:12:46 +0100

pkg-js-tools (0.14.2) experimental; urgency=medium

  * pkgjs-depends: update doc
  * Replace "Breaks pkg-js-tools (<< 0.14.0~)" by "Conflicts"

 -- Yadd <yadd@debian.org>  Tue, 15 Mar 2022 15:53:25 +0100

pkg-js-tools (0.14.1) experimental; urgency=medium

  * Restore lintian doc
  * pkgjs-depends:
    + add cache system based on Cache::FileCache
    + add progressbar

 -- Yadd <yadd@debian.org>  Tue, 15 Mar 2022 15:18:54 +0100

pkg-js-tools (0.14.0) experimental; urgency=medium

  * split pkg-js-tools into dh-nodejs + pkg-js-tools

 -- Yadd <yadd@debian.org>  Mon, 14 Mar 2022 19:07:23 +0100

pkg-js-tools (0.13.0) unstable; urgency=medium

  * debhelper:
    + add dh_nodejs_autodocs tool

 -- Yadd <yadd@debian.org>  Sun, 13 Mar 2022 15:57:02 +0100

pkg-js-tools (0.12.14) unstable; urgency=medium

  * pkgjs-depends:
    + add option -c to check if versions match
    + check also peerDependencies

 -- Yadd <yadd@debian.org>  Sun, 13 Mar 2022 11:02:40 +0100

pkg-js-tools (0.12.13) unstable; urgency=medium

  * debhelper: better lerna fix
  * autopkgtest: automatically copy tap-snapshots and fixture*

 -- Yadd <yadd@debian.org>  Sat, 12 Mar 2022 08:00:56 +0100

pkg-js-tools (0.12.12) unstable; urgency=medium

  * debhelper: drop main component dir from install when it contains a
    "packages" field in lerna.conf

 -- Yadd <yadd@debian.org>  Thu, 10 Mar 2022 14:19:55 +0100

pkg-js-tools (0.12.11) unstable; urgency=medium

  * debhelper:
    * don't include tests?/* from workspaces into additional
      components
    * add ability to skip an automatically added component

 -- Yadd <yadd@debian.org>  Mon, 07 Mar 2022 09:38:29 +0100

pkg-js-tools (0.12.10) unstable; urgency=medium

  * Add global debhelper test to avoid regressions
  * Add gulpfile.mjs to makefiles list
  * autopkgtest: fix import test when no default export exists
    (Closes: #1006378)

 -- Yadd <yadd@debian.org>  Thu, 24 Feb 2022 17:39:27 +0100

pkg-js-tools (0.12.9) unstable; urgency=medium

  * Add missing dependency to libgraph-perl

 -- Yadd <yadd@debian.org>  Tue, 22 Feb 2022 05:56:23 +0100

pkg-js-tools (0.12.8) unstable; urgency=medium

  [ Roland Mas ]
  * debhelper: Rework cmp_ordered_list to provide reliable sorting of
    components

  [ Yadd ]
  * debhelper: don't fail if workspaces field isn't understood

 -- Yadd <yadd@debian.org>  Mon, 21 Feb 2022 17:50:06 +0100

pkg-js-tools (0.12.7) unstable; urgency=medium

  * debhelper: read package.json#workspaces to find additional components

 -- Yadd <yadd@debian.org>  Sat, 19 Feb 2022 13:42:17 +0100

pkg-js-tools (0.12.6) unstable; urgency=medium

  * mjs2cjs: add default output (index.cjs)
  * Documentation:
    + Rephrase and reformat doc. Thanks to Jonas Smedegaard and
      Julien Puydt
    + Provide pkg-js-tools and pkg-js-autopkgtest manpages built from
      markdown. Thanks to Jérémy Lal for providing the awesome marked-man

 -- Yadd <yadd@debian.org>  Fri, 18 Feb 2022 11:08:18 +0100

pkg-js-tools (0.12.5) unstable; urgency=medium

  * Add jasmine.json into makefiles list
  * autopkgtest: fix "require" test when lerna.json exists

 -- Yadd <yadd@debian.org>  Wed, 16 Feb 2022 14:03:19 +0100

pkg-js-tools (0.12.4) unstable; urgency=medium

  * Update doc
  * Fix autopkgtest (missing dependencies)

 -- Yadd <yadd@debian.org>  Mon, 14 Feb 2022 18:21:42 +0100

pkg-js-tools (0.12.3) unstable; urgency=medium

  * mjs2cjs:
    + fix if dependencies field doesn't exist
    + add test

 -- Yadd <yadd@debian.org>  Mon, 14 Feb 2022 11:38:42 +0100

pkg-js-tools (0.12.2) unstable; urgency=medium

  * Add nodepath test
  * Add mjs2cjs tool: generate comonjs file using a generic rollup.config.js
  * Back to unstable. Main difference since 0.11.14: add lerna support

 -- Yadd <yadd@debian.org>  Mon, 14 Feb 2022 10:37:22 +0100

pkg-js-tools (0.12.1) experimental; urgency=medium

  * Import 0.11.14 changes

 -- Yadd <yadd@debian.org>  Fri, 11 Feb 2022 17:24:14 +0100

pkg-js-tools (0.12.0) experimental; urgency=medium

  * debhelper: add lerna.conf support (Closes: #988561)

 -- Yadd <yadd@debian.org>  Wed, 09 Feb 2022 15:07:44 +0100

pkg-js-tools (0.11.14) unstable; urgency=medium

  * Update description. Thanks to Jonas Smedegaard
  * autopkgtest: fix require/module test

 -- Yadd <yadd@debian.org>  Fri, 11 Feb 2022 15:37:53 +0100

pkg-js-tools (0.11.13) unstable; urgency=high

  * add-node-component: add -p options to set a component-name prefix
                        (env var: PKGJS_CMP_PREFIX)
  * nodepath: fix non CJS search

 -- Yadd <yadd@debian.org>  Tue, 08 Feb 2022 17:18:05 +0100

pkg-js-tools (0.11.12) unstable; urgency=medium

  * pkgjs-audit: add -s option
  * Doc:
    * Update pkgjs-audit doc
    * Add some library manpages

 -- Yadd <yadd@debian.org>  Sat, 05 Feb 2022 17:39:08 +0100

pkg-js-tools (0.11.11) unstable; urgency=medium

  * doc: use X-Javascript-Built-Using, not Built-Using
  * pkgjs-audit: test also package itself
  * lintian:
    + accept package.yaml
    + launches a pkgjs-audit in profile pkg-js-extra

 -- Yadd <yadd@debian.org>  Sat, 05 Feb 2022 07:51:32 +0100

pkg-js-tools (0.11.10) unstable; urgency=medium

  * nodepath: fix search:
    + default: only in nodejs dirs
    + add -r option to search in **/node_modules
  * debhelper: improve Built-Using build

 -- Yadd <yadd@debian.org>  Fri, 04 Feb 2022 09:45:40 +0100

pkg-js-tools (0.11.9) unstable; urgency=medium

  * pkgjs-audit: able to run in a read-only directory

 -- Yadd <yadd@debian.org>  Thu, 03 Feb 2022 15:45:29 +0100

pkg-js-tools (0.11.8) unstable; urgency=medium

  * pkgjs-audit: able to audit an installed package
  * debhelper: generate ${nodejs:BuiltUsing} variable

 -- Yadd <yadd@debian.org>  Thu, 03 Feb 2022 15:15:19 +0100

pkg-js-tools (0.11.7) unstable; urgency=medium

  * autopktest: fix stderr

 -- Yadd <yadd@debian.org>  Fri, 28 Jan 2022 18:26:52 +0100

pkg-js-tools (0.11.6) unstable; urgency=medium

  * autopkgtest: improve require test
  * debhelper: make pkgjs-lock.json reproducible

 -- Yadd <yadd@debian.org>  Fri, 28 Jan 2022 18:22:21 +0100

pkg-js-tools (0.11.5) unstable; urgency=medium

  * debhelper: fix clean when additional component is in node_modules
  * autopkgtest: better fix for reproducibility

 -- Yadd <yadd@debian.org>  Mon, 17 Jan 2022 06:59:53 +0100

pkg-js-tools (0.11.3) unstable; urgency=medium

  * autopkgtest: try "require" if "type=module" and "main" exists
  * debhelper:
    + fix pkgjs-lock.json build for reproducibility (Closes: #1003809)

 -- Yadd <yadd@debian.org>  Sun, 16 Jan 2022 09:03:59 +0100

pkg-js-tools (0.11.2) unstable; urgency=medium

  * tools: add pkgjs-audit
  * debhelper:
    + improve pkgjs-lock.json: parse devDeps and deps
    + add browserify* in WEBPACKS
  * pkgjs-depends: fix name in help
  * Back to unstable:
    + Breaking change since 0.10.x: build fails if autobuild fails

 -- Yadd <yadd@debian.org>  Thu, 13 Jan 2022 15:47:31 +0100

pkg-js-tools (0.11.1) experimental; urgency=medium

  * Fix version reported by tools
  * debhelper: render build reproducible by sorting pkgjs-lock.json keys

 -- Yadd <yadd@debian.org>  Mon, 10 Jan 2022 15:58:19 +0100

pkg-js-tools (0.11.0) experimental; urgency=medium

  * autopkgtest: better error display in require test
  * debhelper:
    + build pkgjs-lock.json if package looks like a bundle
    + autodetect rollup/webpack configuration (Closes: #977607)
    + BREKING CHANGE: fail if autobuild fails

 -- Yadd <yadd@debian.org>  Mon, 10 Jan 2022 14:49:58 +0100

pkg-js-tools (0.10.5) unstable; urgency=medium

  * autopkgtest: little fix in require test

 -- Yadd <yadd@debian.org>  Sun, 02 Jan 2022 10:06:41 +0100

pkg-js-tools (0.10.4) unstable; urgency=medium

  * autopkgtest: don't output ignored errors to STDERR

 -- Yadd <yadd@debian.org>  Sat, 01 Jan 2022 18:59:29 +0100

pkg-js-tools (0.10.3) unstable; urgency=medium

  * Back to unstable. Main change since 0.9.92:
    + autopkgtest "require" test:
      * checks all modules installed in nodejs root directories
      * checks also modules "type=module"

 -- Yadd <yadd@debian.org>  Sat, 01 Jan 2022 09:32:21 +0100

pkg-js-tools (0.10.2) experimental; urgency=medium

  * autopkgtest: improve require test for other modules
  * Update autopkgtest doc

 -- Yadd <yadd@debian.org>  Fri, 31 Dec 2021 20:12:32 +0100

pkg-js-tools (0.10.1) experimental; urgency=medium

  * autopkgtest: fix require test

 -- Yadd <yadd@debian.org>  Fri, 31 Dec 2021 15:33:16 +0100

pkg-js-tools (0.10.0) experimental; urgency=medium

  * Banned modules:
    * Mark mdn-browser-compat-data as banned (replaced bu
      @mdn/browser-compat-data)
    * Add old rollup-plugin-* in banned list
    * Banned modules: display reason
    * Add test
  * Add tests for add-node-component, del-node-component, pkgjs-depends
  * pkgjs-utils: add new commands root_modules_list and root_components_list
  * autopkgtest: test root modules

 -- Yadd <yadd@debian.org>  Thu, 30 Dec 2021 21:43:47 +0100

pkg-js-tools (0.9.92) unstable; urgency=medium

  * Fix Npm registry parser

 -- Yadd <yadd@debian.org>  Fri, 24 Dec 2021 07:05:52 +0100

pkg-js-tools (0.9.91) unstable; urgency=medium

  * debhelper/autopkgtest: add package.yaml support

 -- Yadd <yadd@debian.org>  Thu, 23 Dec 2021 17:18:53 +0100

pkg-js-tools (0.9.90) unstable; urgency=medium

  * pkgjs-depends:
    + without args: use current package.json fields
    + better "npm view" result check
    + continue to parse if module is embedded in main package
  * debhelper: split auto_configure
  * pkgjs-utils: add link_external_modules and link_internal_modules functions
  * Drop debug output

 -- Yadd <yadd@debian.org>  Mon, 20 Dec 2021 08:55:28 +0100

pkg-js-tools (0.9.89) unstable; urgency=medium

  * lintian: drop debug output

 -- Yadd <yadd@debian.org>  Wed, 15 Dec 2021 22:00:46 +0100

pkg-js-tools (0.9.88) unstable; urgency=medium

  * nodepath: change dir to / before searching module
  * debhelper: improve path resolve: understand "*.*(c)[tj]s*"

 -- Yadd <yadd@debian.org>  Wed, 15 Dec 2021 14:29:58 +0100

pkg-js-tools (0.9.87) unstable; urgency=high

  * debhelper: fix configure step (links were not always created)

 -- Yadd <yadd@debian.org>  Tue, 14 Dec 2021 09:50:40 +0100

pkg-js-tools (0.9.86) unstable; urgency=medium

  * autopkgtest: skip instead of fail when trying to require a type=module
  * lintian: fix extr-profile and test embedded modules
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 13 Dec 2021 16:31:55 +0100

pkg-js-tools (0.9.85) experimental; urgency=medium

  * Internal changes
    * Add build dependency to node-types-node
    * debhelper:
      + improve clean
      + add extlinks/extcopies test
    * Fix markdown for pandoc
  * debhelper:
    + fix perms also for mts, cjs
    + skip require test for type=module
  * autopkgtest:
    + fix module detection
    + replace require test for modules by import

 -- Yadd <yadd@debian.org>  Sun, 12 Dec 2021 11:17:53 +0100

pkg-js-tools (0.9.84) unstable; urgency=medium

  * debhelper: fix 0.9.83 regression on extcopies

 -- Yadd <yadd@debian.org>  Fri, 26 Nov 2021 18:25:30 +0100

pkg-js-tools (0.9.83) unstable; urgency=medium

  * pkgjs-depends: display searched package and version
  * debhelper: when @types/foo isn't available for copy/link, fallback to
               "foo". This permits one to not have regressions when a module
               embeds its typescript declaration and Debian maintainer removes
               embedded @types/foo

 -- Yadd <yadd@debian.org>  Fri, 26 Nov 2021 17:53:53 +0100

pkg-js-tools (0.9.82) unstable; urgency=medium

  * del-node-component: fix when component name contains "-"
  * nodepath: fix for type=modules

 -- Yadd <yadd@debian.org>  Wed, 24 Nov 2021 11:40:13 +0100

pkg-js-tools (0.9.81) unstable; urgency=medium

  * add-node-component: fix filenamemangle for npm-registry modules
  * Consider tsconfig.*\.json as makefile

 -- Yadd <yadd@debian.org>  Wed, 17 Nov 2021 09:04:39 +0100

pkg-js-tools (0.9.80) unstable; urgency=medium

  * debhelper:
    + more strict on excluded directories
    + really authorize "." in virtual package names

 -- Yadd <yadd@debian.org>  Sat, 06 Nov 2021 18:49:50 +0100

pkg-js-tools (0.9.79) unstable; urgency=medium

  * autopkgtest: fix when no test and -e debian/build_modules

 -- Yadd <yadd@debian.org>  Thu, 04 Nov 2021 05:48:26 +0100

pkg-js-tools (0.9.78) unstable; urgency=medium

  * autopkgtest: clean STDERR
  * debhelper: install links in auto_install dir, not package one

 -- Yadd <yadd@debian.org>  Sat, 30 Oct 2021 09:09:10 +0200

pkg-js-tools (0.9.77) unstable; urgency=medium

  * add-node-component: update banned list based on recently removed packages
  * Partial revert of 0.9.76: "." is a bad character only for component name,
    not for virtual package names

 -- Yadd <yadd@debian.org>  Fri, 22 Oct 2021 18:09:58 +0200

pkg-js-tools (0.9.76) unstable; urgency=medium

  * pkgjs-utils:
    + add pkgjs-ln, pkgjs-main and pkgjs-pjson aliases for
      `pkgjs-utils <cmd>`
    + fix main command
  * Update pkgjs-ls
  * Fix provided field (replace ".")

 -- Yadd <yadd@debian.org>  Fri, 22 Oct 2021 17:09:05 +0200

pkg-js-tools (0.9.75) unstable; urgency=medium

  * pkgjs-utils: add commands:
    + ln
    + link_build_modules
    + link_test_modules
    + list_build_modules
    + list_test_modules
    + clean_build_modules
    + clean_test_modules
  * pkg-js-autopkgtest (test stage):
    + link root modules in node_modules
    + copy debian/build_modules in node_modules

 -- Yadd <yadd@debian.org>  Tue, 19 Oct 2021 09:19:33 +0200

pkg-js-tools (0.9.74) unstable; urgency=medium

  * Fix clean for extcopies/extlinks
  * Fix filenamemangle fields

 -- Yadd <yadd@debian.org>  Sat, 16 Oct 2021 09:27:18 +0200

pkg-js-tools (0.9.73) unstable; urgency=medium

  * tools: add pkgjs-utils
  * add-node-component: add banned list
  * autopkgtest: display "Package is a ES module" if require test fails and
    module is an ES module
  * debhelper: manage path expressions like "partial/!excluded"

 -- Yadd <yadd@debian.org>  Sun, 10 Oct 2021 12:23:54 +0200

pkg-js-tools (0.9.72) unstable; urgency=medium

  * debhelper: fix regression introduced in 0.9.71 when additional component
    is a "@foo/bar"

 -- Yadd <yadd@debian.org>  Wed, 06 Oct 2021 09:52:24 +0200

pkg-js-tools (0.9.71) unstable; urgency=medium

  [ Ajayi Olatunji O ]
  * update doc/tools/README.md to contain info for debian/tests/pkg-js/files

  [ Yadd ]
  * debhelper: fix pjson() when package.json doesn't exist but
    debian/nodejs/name is defined

 -- Yadd <yadd@debian.org>  Sun, 03 Oct 2021 18:17:10 +0200

pkg-js-tools (0.9.70) unstable; urgency=medium

  * Replace nodejs dependency by "nodejs:any | nodejs (<<12.22.5~dfsg-4~)"

 -- Yadd <yadd@debian.org>  Thu, 23 Sep 2021 17:52:19 +0200

pkg-js-tools (0.9.69) unstable; urgency=medium

  * add-node-component: able to list components/modules (Closes: #994934)

 -- Yadd <yadd@debian.org>  Thu, 23 Sep 2021 15:49:09 +0200

pkg-js-tools (0.9.68) unstable; urgency=medium

  * pkg-js-tools MA: foreign (Closes: #994678)

 -- Yadd <yadd@debian.org>  Mon, 20 Sep 2021 14:09:56 +0200

pkg-js-tools (0.9.67) unstable; urgency=medium

  * Update clean: drop self link (exists if test failed)
  * Depends on nodejs:any instead of nodejs (Closes: #994566)

 -- Yadd <yadd@debian.org>  Mon, 20 Sep 2021 06:11:31 +0200

pkg-js-tools (0.9.66) unstable; urgency=medium

  [ Jérémy Lal ]
  * nodepath: use -p instead of -e console.log

  [ Yadd ]
  * Declare compliance with policy 4.6.0
  * Don't follow upstream +x permission for js/json/ts files (Closes: #993454)

 -- Yadd <yadd@debian.org>  Thu, 02 Sep 2021 08:51:22 +0200

pkg-js-tools (0.9.65) unstable; urgency=medium

  * Force package.json install even if removed by .npmignore (Closes: #988194)

 -- Yadd <yadd@debian.org>  Mon, 10 May 2021 20:03:59 +0200

pkg-js-tools (0.9.64) unstable; urgency=medium

  * Fix doc, thanks to Andrius Merkys (Closes: #980549)
  * Set SALSA_CI_CONFIG_PATH to "debian/salsa-ci.yml" in pkg-js-salsa.conf
  * Fix GitHub tags template
  * Update copyright

 -- Yadd <yadd@debian.org>  Sat, 27 Mar 2021 07:12:38 +0100

pkg-js-tools (0.9.63) unstable; urgency=medium

  * autopkgtest: fix regexp that parse debian/nodejs/ext* (Closes: #980195)

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Jan 2021 22:37:59 +0100

pkg-js-tools (0.9.62) unstable; urgency=medium

  * Fix little warning

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 10:11:01 +0100

pkg-js-tools (0.9.61) unstable; urgency=medium

  * Add ava.config.js in build files list
  * Add possibility to mark extcopies and extlinks with "test": this permits
    one to avoid regressions due to behavior change introduced by #977744:
    when building with "nocheck", links/copies marked with "test" are ignored

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 10:04:29 +0100

pkg-js-tools (0.9.60) unstable; urgency=medium

  [ Felix Lechner ]
  * In Lintian profile, stop using commas as field separators.
  * Place Lintian checks into their proper Perl name space.

 -- Xavier Guimard <yadd@debian.org>  Wed, 06 Jan 2021 23:00:50 +0100

pkg-js-tools (0.9.59) unstable; urgency=medium

  * debhelper:
    + abort configure step when extlinks/extcopies are not available
      (Closes: #977744)
    + fix bad detection of missing "main" file
  * doc:
    + indicate that extlinks/extcopies are searched with nodejs algorithm
    + fix typo in doc. Thanks to Jonas Smedegaard (Closes: #977745)
  * Add .mocharc in build files list

 -- Xavier Guimard <yadd@debian.org>  Wed, 06 Jan 2021 19:13:50 +0100

pkg-js-tools (0.9.58) unstable; urgency=medium

  * Fix version in provides field when package name differs from main
    component name (Closes: #977677)
  * pkgjs-depends: display component in package list

 -- Xavier Guimard <yadd@debian.org>  Fri, 18 Dec 2020 22:27:58 +0100

pkg-js-tools (0.9.57) unstable; urgency=medium

  * Back to unstable
  * debhelper: fix .npmignore parsing

 -- Xavier Guimard <yadd@debian.org>  Thu, 17 Dec 2020 13:30:56 +0100

pkg-js-tools (0.9.56) experimental; urgency=medium

  * Add jsl.node.conf in build files
  * autopkgtest: fix links and copies (Closes: #977535)

 -- Xavier Guimard <yadd@debian.org>  Wed, 16 Dec 2020 14:57:36 +0100

pkg-js-tools (0.9.55) experimental; urgency=medium

  * Add karma.conf.js in build files list
  * debhelper:
    + extcopies: copy with `cp -rL` to fix broken symlinks
  * autopkgtest:
    + honor debian/nodejs/extcopies (Closes: #977535)

 -- Xavier Guimard <yadd@debian.org>  Wed, 16 Dec 2020 12:10:55 +0100

pkg-js-tools (0.9.54) unstable; urgency=medium

  * New tool: pkgjs-depends (parse dependencies recursively and displays
              related Debian packages and missing dependencies)
  * add-node-component:
    + --cmp-tree: avoid error on bad component name

 -- Xavier Guimard <yadd@debian.org>  Mon, 07 Dec 2020 09:49:28 +0100

pkg-js-tools (0.9.53) unstable; urgency=medium

  * Declare compliance with policy 4.5.1
  * debhelper: workaround bad .npmignore (see node-jsdom)
  * autopkgtest:
    + fix build files search when file is hidden
    + add .babelrc.js and babel.config.json in build files list
  * add-node-component: add "ctype=nodejs" unless --no-ctype is set

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Dec 2020 16:21:21 +0100

pkg-js-tools (0.9.52) unstable; urgency=medium

  * debhelper:
    + honor "!foo" expressions in "files" fields
    + honor .npmignore and its default value (from npm-packlist)
    + don't fail if main dir isn't created during clean and build
  * autopkgtest: fix test links

 -- Xavier Guimard <yadd@debian.org>  Wed, 25 Nov 2020 23:00:44 +0100

pkg-js-tools (0.9.51) unstable; urgency=medium

  * debhelper: add jest.config.js in makefiles list
  * autopkgtest:
    + better module-name parsing
    + honor debian/nodejs/extlinks
    + try to link debian/tests/test_modules/* in node_module directory, else
      keep previous behavior (export NODE_PATH)

 -- Xavier Guimard <yadd@debian.org>  Mon, 23 Nov 2020 09:40:31 +0100

pkg-js-tools (0.9.50) unstable; urgency=medium

  * Back to unstable after successful tests
  * Update documentation
  * autopkgtest: better output

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Nov 2020 19:03:01 +0100

pkg-js-tools (0.9.49) experimental; urgency=medium

  * autopkgtest:
    + fix links when tests are in a subdir of installed files
    + autopkgtest: add tests

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Nov 2020 22:28:55 +0100

pkg-js-tools (0.9.48) experimental; urgency=medium

  * autopkgtest: automatically install makefiles

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Nov 2020 15:33:35 +0100

pkg-js-tools (0.9.47) unstable; urgency=medium

  * debhelper: fix main component name

 -- Xavier Guimard <yadd@debian.org>  Wed, 11 Nov 2020 22:38:39 +0100

pkg-js-tools (0.9.46) unstable; urgency=medium

  * debhelper:
    + exclude gulpfile.ts from install
    + exclude __*__ directories from install
    + add the main component to ${nodejs:Provides} if it doesn't match the
      package name (Closes: #974030)

 -- Xavier Guimard <yadd@debian.org>  Mon, 09 Nov 2020 11:51:42 +0100

pkg-js-tools (0.9.45) unstable; urgency=medium

  * debhelper: don't create link if src=dest

 -- Xavier Guimard <yadd@debian.org>  Wed, 04 Nov 2020 12:54:07 +0100

pkg-js-tools (0.9.44) unstable; urgency=medium

  * Update doc: explain debian/tests/autopkgtest-pkg-nodejs.conf use
  * Add-node-component: update character accepted in component names
  * pkgjs-ls: fix for npm ≥ 7
  * debhelper:
    + exclude component.json
    + exclude READMEs anywhere
    + fix grunt tests

 -- Xavier Guimard <yadd@debian.org>  Thu, 22 Oct 2020 14:55:21 +0200

pkg-js-tools (0.9.43) unstable; urgency=medium

  * debhelper: clean main link
  * autopkgtest: change directory to / before require test

 -- Xavier Guimard <yadd@debian.org>  Sun, 11 Oct 2020 07:39:56 +0200

pkg-js-tools (0.9.42) unstable; urgency=medium

  * debhelper: update doc to use dh-sequence-nodejs
  * nodepath: fix path error on @foo/bar

 -- Xavier Guimard <yadd@debian.org>  Sun, 04 Oct 2020 12:28:32 +0200

pkg-js-tools (0.9.41) unstable; urgency=medium

  * debhelper:
    + Provides dh-sequence-nodejs (Closes: #970016)
    + Build node_modules link during test when "main" is not the root
      directory (Closes: #971361)

 -- Xavier Guimard <yadd@debian.org>  Tue, 29 Sep 2020 15:51:50 +0200

pkg-js-tools (0.9.40) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Felix Lechner ]
  * Change file extension for Lintian tag; rename Info field to Explanation.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13

 -- Xavier Guimard <yadd@debian.org>  Mon, 24 Aug 2020 18:53:51 +0200

pkg-js-tools (0.9.39) unstable; urgency=medium

  * debhelper: improve node.js version detection, thanks to Jonas Smedegaard
  * lintian:
    + remove lintian checks which have been incorporated into lintian proper

 -- Xavier Guimard <yadd@debian.org>  Sat, 18 Jul 2020 19:30:21 +0200

pkg-js-tools (0.9.38) unstable; urgency=medium

  [ Felix Lechner ]
  * Remove Lintian check descriptions; they are obsolete.
  * Adapt Lintian checks to case-sensitive Deb822 parser.

  [ Xavier Guimard ]
  * debhelper:
    + fix component build order
    + populate ${nodejs:Version} variable

 -- Xavier Guimard <yadd@debian.org>  Fri, 10 Jul 2020 12:15:28 +0200

pkg-js-tools (0.9.37) unstable; urgency=medium

  * debcheck-node-repo: able to read git@host:path
  * debhelper:
    + link debian/tests/test_modules modules before components test
    + don't fail during links/copies when a module is missing
  * Move devscripts to recommended dependencies

 -- Xavier Guimard <yadd@debian.org>  Fri, 12 Jun 2020 07:02:02 +0200

pkg-js-tools (0.9.36) unstable; urgency=medium

  * Update doc
  * debhelper:
    + use debhelper warning/error functions
    + exclude Jakefile
  * add-node-component:
    + don't fail when git stash reports an error (Closes: #960406)

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 May 2020 09:33:04 +0200

pkg-js-tools (0.9.35) unstable; urgency=medium

  * debhelper: fix test_modules links and add test

 -- Xavier Guimard <yadd@debian.org>  Thu, 30 Apr 2020 15:29:15 +0200

pkg-js-tools (0.9.34) unstable; urgency=medium

  * Update doc
  * debhelper: fix build & test links when module is @foo (Closes: #959131)

 -- Xavier Guimard <yadd@debian.org>  Thu, 30 Apr 2020 12:57:21 +0200

pkg-js-tools (0.9.33) unstable; urgency=medium

  * debhelper:
    + link modules found in debian/tests/test_modules in node_modules
      directory during test step
    + link modules found in debian/build_modules in node_modules directory
      during configure step (Closes: #959015)
  * autopkgtest:
    + export "NODE_PATH=debian/tests/test_modules:node_modules" when directory
      debian/tests/test_modules exists

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 Apr 2020 12:25:13 +0200

pkg-js-tools (0.9.32) unstable; urgency=medium

  * debhelper: launch sh with -x
  * autopkgtest: launch sh with -x
  * pkgjs-ls:
    + don't color if output isn't a terminal
    + improve duplication detection
  * add-node-component:
    + add --checksum and --no-ctype options
    + commit also copyright changes
  * Update salsa configuration file to redirect KGB to #debian-js-changes

 -- Xavier Guimard <yadd@debian.org>  Fri, 24 Apr 2020 15:49:54 +0200

pkg-js-tools (0.9.31) unstable; urgency=medium

  * debhelper:
   + fix paths in file fields
   + drop grunt.js file
  * lintian :
    + update lintian tag description files to lintian 2.58.0, remove Certainty
      field, and update Severity to the new values (Closes: #954336)
    + Suggests lintian ≥ 2.58.0~

 -- Xavier Guimard <yadd@debian.org>  Fri, 20 Mar 2020 18:03:25 +0100

pkg-js-tools (0.9.30) unstable; urgency=medium

  [ Xavier Guimard ]
  * New tool: pkgjs-ls
    + add suggested dependency to node-semver
  * debhelper:
    + add warning if name is not found
    + fix "submodule" field
    + add debian/nodejs/test to have a distinct test between build and
      autopkgtest
    + exclude lerna.conf from auto install

  [ Nilesh Patra ]
  * autopkgtest: add options to skip "require" and "require" a different
    file/module than PKG

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Mar 2020 09:57:25 +0100

pkg-js-tools (0.9.29) unstable; urgency=medium

  [ Nilesh Patra ]
  * add-node-component: switch to use debian-tag while embedding components

  [ Xavier Guimard ]
  * lintian: add new nodejs-bad-buffer-usage tag
  * debhelper:
    + don't install gulpfile.babel.js
    + don't ignore debian/ dir in component

 -- Xavier Guimard <yadd@debian.org>  Wed, 11 Mar 2020 19:01:50 +0100

pkg-js-tools (0.9.28) unstable; urgency=medium

  * debhelper: fix "${nodejs:Provides}" field for "@foo/bar" packages

 -- Xavier Guimard <yadd@debian.org>  Mon, 24 Feb 2020 10:19:40 +0100

pkg-js-tools (0.9.27) unstable; urgency=medium

  [ Xavier Guimard ]
  * debhelper:
    + Exclude *.c, *.cpp *.c++ *.def
    + Add debian/nodejs/**/name override file
    + Authorize to force install of skipped files
  * add-node-component: update debian/copyright Source field
  * Declare pkg-js-autopkgtest as "Multi-Arch: foreign"

  [ Nilesh ]
  * add-node-component: Add gbp.conf and watch before committing, stash and
    apply rest changes when option -i is set

 -- Xavier Guimard <yadd@debian.org>  Sat, 22 Feb 2020 18:22:23 +0100

pkg-js-tools (0.9.26) unstable; urgency=medium

  * debhelper:
    + Use DEB_HOST_MULTIARCH to find arch-dep install dir
    + Exclude cakefile from install
  * autopkgtest: better fix for source without package.json

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 Jan 2020 14:00:02 +0100

pkg-js-tools (0.9.25) unstable; urgency=medium

  * Declare compliance with policy 4.5.0
  * debhelper:
    + exclude from install (Closes: #949580):
      - anywhere: .npmignore, .gitignore, source files (.cc, .h), .deps
                  directories
      - from root dir: binding.gyp

 -- Xavier Guimard <yadd@debian.org>  Thu, 23 Jan 2020 16:57:44 +0100

pkg-js-tools (0.9.24) unstable; urgency=medium

  * github-debian-upstream: add "Changelog" field
  * autopkgtest: use installed package.json if no one found (Closes: #949277)
  * add-node-component: add --force-npm-reg and --force-github-tags options
    (Closes: #942441, #935824)

 -- Xavier Guimard <yadd@debian.org>  Tue, 21 Jan 2020 18:34:38 +0100

pkg-js-tools (0.9.23) unstable; urgency=medium

  * github-debian-upstream:
    + fix argument parsing
    + add Bug-Submit field
  * debhelper:
    + revert "Fix possibly missing package.json in components" introduced in
      version 0.9.22

 -- Xavier Guimard <yadd@debian.org>  Fri, 03 Jan 2020 09:58:31 +0100

pkg-js-tools (0.9.22) unstable; urgency=medium

  [ Felix Lechner ]
  * Use new Lintian interface in checks.

  [ Xavier Guimard ]
  * add-node-component:
    + cmp-tree: read also debian/nodejs/additional_components
  * debhelper:
    + fix extlinks for modules with / in their names
    + fix possibly missing package.json in components

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Dec 2019 08:50:51 +0100

pkg-js-tools (0.9.21) unstable; urgency=medium

  * debhelper: don't fail on missing component

 -- Xavier Guimard <yadd@debian.org>  Tue, 10 Dec 2019 21:18:31 +0100

pkg-js-tools (0.9.20) unstable; urgency=medium

  * debheper:
    + don't install "licence" files
    + build links after component install
  * autopkgtest: use debian/nodejs/main if exist to find package.json

 -- Xavier Guimard <yadd@debian.org>  Tue, 10 Dec 2019 21:08:42 +0100

pkg-js-tools (0.9.19) unstable; urgency=medium

  * debhelper:
    + Fix "main" file install for components
    + Add related test

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Nov 2019 06:51:08 +0100

pkg-js-tools (0.9.18) unstable; urgency=medium

  * add-node-component:
    + Don't fail if upstream repo is not set in npm registry (Closes: #942523)
  * autopkgtest: replace deprecated ADTTMP variable
  * debhelper:
    + fix "main" file install when "files" field does not contain it

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Nov 2019 18:18:35 +0100

pkg-js-tools (0.9.17) unstable; urgency=medium

  [ Xavier Guimard ]
  * debhelper: fix install when no main module is defined

  [ Andrius Merkys ]
  * Adding dh-make-node (Closes: #941582)

  [ Xavier Guimard ]
  * add-node-component: better error display (See #941119)
  * nodepath: better @xx/yy support
  * debhelper:
    + add debian/nodejs/extcopies to workaround tsc bugs
    + install package.json#typings when present (Closes: #942361)

 -- Xavier Guimard <yadd@debian.org>  Wed, 16 Oct 2019 22:39:33 +0200

pkg-js-tools (0.9.16) unstable; urgency=medium

  * autopkgtest: initialize HOME variable

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Oct 2019 22:01:07 +0200

pkg-js-tools (0.9.15) unstable; urgency=medium

  * Declare compliance with policy 4.4.1
  * debhelper: fix install when files field contains "{,}" expressions

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Oct 2019 21:49:36 +0200

pkg-js-tools (0.9.14) unstable; urgency=medium

  * debhelper:
    + Exclude bench dir and Dockerfile from install (Closes: #940648)
    + Don't ignore debian/nodejs/extlinks if no components
    + Install files declared in "types" field (Closes: #941359)

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Sep 2019 22:36:55 +0200

pkg-js-tools (0.9.13) unstable; urgency=medium

  * Fix autopkgtest
  * Exclude bench*.js files (Closes: #940648)

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Sep 2019 21:06:57 +0200

pkg-js-tools (0.9.12) unstable; urgency=medium

  * Back to unstable
  * debhelper: fix bad main detection and install
  * add-node-component: add -u option to launch "cme update dpkg-copyright"
    (Closes: #935569)
  * autopkgtest: launch "require" test with --no-deprecation

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Sep 2019 22:36:03 +0200

pkg-js-tools (0.9.11) experimental; urgency=medium

  * debhelper:
    + add additional_components feature
    + main module can changed instead of default '.'
    + main module is no more required
  * Update doc

 -- Xavier Guimard <yadd@debian.org>  Fri, 13 Sep 2019 18:22:01 +0200

pkg-js-tools (0.9.10) unstable; urgency=medium

  * nodepath: return 1 if module not found
  * add-node-component: add --cmp-tree option
  * debhelper:
    + add build order feature
    + able to install component in nodejs root directory and set
      ${nodejs:Provides}
  * Update debian/clean
  * Update manifest
  * Update doc

 -- Xavier Guimard <yadd@debian.org>  Mon, 09 Sep 2019 21:13:41 +0200

pkg-js-tools (0.9.9) unstable; urgency=medium

  * add-node-component:
    + don't fail if origin tag does not exist (Closes: #935933)
    + add "--download-current-version" in default uscan options
      (Closes: #939093)
    + add "--uscan-option" option

 -- Xavier Guimard <yadd@debian.org>  Sun, 01 Sep 2019 23:10:33 +0200

pkg-js-tools (0.9.8) unstable; urgency=medium

  * autopkgtest: fix bad package.json parsing (Closes: #935299)
  * debhelper:
    + Accept Gruntfile.coffee as Grunt file (Closes: #935301)
    + Add debian/nodejs/links feature to be able to link arch
      dependent files
  * Improve manpages

 -- Xavier Guimard <yadd@debian.org>  Sun, 25 Aug 2019 09:52:26 +0200

pkg-js-tools (0.9.7) unstable; urgency=medium

  * Enable grunt test only with autopkgtest (Closes: #935029)
  * github-debian-upstream: remove deprecated "Name" and "Contact" fields
  * Add nodejs in pkg-js-tools dependencies (Closes: #935251)

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Aug 2019 10:21:23 +0200

pkg-js-tools (0.9.6) unstable; urgency=medium

  * Fix debhelper sequence return value and update test (Closes: #935016)

 -- Xavier Guimard <yadd@debian.org>  Sun, 18 Aug 2019 08:28:28 +0200

pkg-js-tools (0.9.5) unstable; urgency=medium

  * add-node-component:
    + fallback to registry if no git tags
    + fix registry build
    + fix bad registry url if component looks like @foo/bar
    + new command: del-node-component (symlink) which enables new "-r" option
  * debhelper:
    + test components before main (build only)

 -- Xavier Guimard <yadd@debian.org>  Thu, 15 Aug 2019 11:36:46 +0200

pkg-js-tools (0.9.4) unstable; urgency=medium

  * add-node-component:
    + fix warning in help
    + fix uscan bug workaround

 -- Xavier Guimard <yadd@debian.org>  Mon, 12 Aug 2019 18:42:21 +0200

pkg-js-tools (0.9.3) unstable; urgency=medium

  * Release auto_build in unstable with only grunt support:
    + add grunt test
    + disable gulp test
    + replace gulp by grunt in build dependencies
    + add devscripts and git-buildpackage in suggested dependencies
  * add-node-component:
    + add import feature (Closes: #934456)
    + remove sign-tags from gbp.conf default template
    + able to fix downloaded version

 -- Xavier Guimard <yadd@debian.org>  Mon, 12 Aug 2019 16:26:59 +0200

pkg-js-tools (0.9.2) experimental; urgency=medium

  * Import 0.8.14 changes

 -- Xavier Guimard <yadd@debian.org>  Sun, 11 Aug 2019 12:10:33 +0200

pkg-js-tools (0.9.1) experimental; urgency=medium

  * Rebuild with 0.8.13 changes

 -- Xavier Guimard <yadd@debian.org>  Thu, 08 Aug 2019 15:23:06 +0200

pkg-js-tools (0.9.0) experimental; urgency=medium

  * Update doc
  * Add auto_build feature (Closes: #845043)
  * Update doc

 -- Xavier Guimard <yadd@debian.org>  Wed, 07 Aug 2019 22:13:03 +0200

pkg-js-tools (0.8.14) unstable; urgency=medium

  * New commands:
    - debcheck-node-repo: repo consistency check
    - add-node-component: automatically update d/watch and d/gbp.conf
  * lintian profile:
    - add repo consistency check in new "pkg-js-extra" profile
    - install and fix lintian tags (Closes: #934144)
  * Update doc
  * Switch package to native Pkg-Perl
  * Fix manpages

 -- Xavier Guimard <yadd@debian.org>  Sun, 11 Aug 2019 09:10:43 +0200

pkg-js-tools (0.8.13) unstable; urgency=medium

  * Fix component links when package name contains /
  * Add "extlinks" feature
  * Update doc
  * Always remove node_modules/.cache (Closes: #934214)
  * Don't die if "main" file does not exist
  * Add component test feature (build only)

 -- Xavier Guimard <yadd@debian.org>  Thu, 08 Aug 2019 15:03:54 +0200

pkg-js-tools (0.8.12) unstable; urgency=medium

  * Update doc
  * Add .gitlab-ci.yml
  * Fix ci
  * Fix package-lock exclusion
  * Update doc
  * Update lintian profile due to lintian changes (Closes: #934144)
  * Add allow-stderr in autopkgtest control, fixes debci

 -- Xavier Guimard <yadd@debian.org>  Wed, 07 Aug 2019 15:34:37 +0200

pkg-js-tools (0.8.11) unstable; urgency=medium

  * Fix nodepath when module is not directly usable (Closes: #933862)
  * Fix bad .eslintrc.js parsing (Closes: #933847)
  * Install package.json#main if missing in files field (Closes: #933841)
  * Search "files" field value with ".js" (Closes: #933956)

 -- Xavier Guimard <yadd@debian.org>  Tue, 06 Aug 2019 09:37:28 +0200

pkg-js-tools (0.8.10) unstable; urgency=medium

  * Back to unstable after tests
  * Exclude appveyor.yml
  * Fix "**/" parsing
  * Improve tests

 -- Xavier Guimard <yadd@debian.org>  Sun, 04 Aug 2019 08:44:18 +0200

pkg-js-tools (0.8.9) experimental; urgency=medium

  * Fix bad regexp for excluded dirs
  * Exclude Changes, tsconfig.json, .eslint files
  * Fix priority in ignored files
  * Improve tests
  * Fix pattern search

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Aug 2019 09:10:40 +0200

pkg-js-tools (0.8.8) experimental; urgency=medium

  * auto_install:
    * Exclude package-lock, yarn.lock and makefiles
    * Update doc
    * Fix "files" pattern
    * Build ignored files/dirs regexp during build
    * Apply ignored regexp only on root directory
  * autopkgtest: don't die if link target exists

 -- Xavier Guimard <yadd@debian.org>  Fri, 02 Aug 2019 09:02:47 +0200

pkg-js-tools (0.8.7) experimental; urgency=medium

  * Fix "readme" regex
  * Add "simple" test
  * Better filtering
  * Manage "*" in "files" field

 -- Xavier Guimard <yadd@debian.org>  Wed, 31 Jul 2019 15:58:47 +0200

pkg-js-tools (0.8.6) experimental; urgency=medium

  * Reorganize and improve tests
  * Better install system
  * Update doc
  * Fix dependencies
  * Add double package test
  * Install even if *.install exists, this will need a transition
  * Add dh_auto_configure test

 -- Xavier Guimard <yadd@debian.org>  Tue, 30 Jul 2019 19:35:43 +0200

pkg-js-tools (0.8.5) experimental; urgency=medium

  * Fix bad install when "files" field is missing
  * Improve tests
  * Bump debhelper compatibility level to 12

 -- Xavier Guimard <yadd@debian.org>  Mon, 29 Jul 2019 20:21:35 +0200

pkg-js-tools (0.8.4) experimental; urgency=medium

  * Force package.json install. Don't install doc/example directories
  * Update tests
  * Update doc
  * Fix bad install when running under sbuild

 -- Xavier Guimard <yadd@debian.org>  Mon, 29 Jul 2019 16:39:32 +0200

pkg-js-tools (0.8.3) experimental; urgency=medium

  * Add auto_install feature for main component (Closes: #933171)
  * Declare compliance with policy 4.4.0

 -- Xavier Guimard <yadd@debian.org>  Sun, 28 Jul 2019 08:59:11 +0200

pkg-js-tools (0.8.2) experimental; urgency=medium

  [ Suman Rajan ]
  * Typo fix
  * Update README.md

  [ Xavier Guimard ]
  * Add nodepath command
  * Revert rollup test: will be done later using node --experimental-modules
  * Install automatically components in node_modules/ directory before build,
    then install automatically components in <module/path>/node_modules
    (Closes: #933007, #931790)

 -- Xavier Guimard <yadd@debian.org>  Fri, 26 Jul 2019 19:56:47 +0200

pkg-js-tools (0.8.1) experimental; urgency=medium

  * Build custom rollup.config.js for rollup test
  * Don't launch rollup test during build (revert 0.8 change)

 -- Xavier Guimard <yadd@debian.org>  Thu, 11 Jul 2019 21:34:01 +0200

pkg-js-tools (0.8) experimental; urgency=medium

  * Launch a rollup test every time a "module" field is found
    (Closes: #930917)
  * Don't enable KGB in js policy

 -- Xavier Guimard <yadd@debian.org>  Tue, 09 Jul 2019 23:11:59 +0200

pkg-js-tools (0.7) unstable; urgency=medium

  * Add pkg-js lintian profile
  * Fix bad merge in 0.6

 -- Xavier Guimard <yadd@debian.org>  Tue, 09 Jul 2019 10:49:16 +0200

pkg-js-tools (0.6) unstable; urgency=medium

  * Search installed files in /usr/share/nodejs and /usr/lib/*/nodejs
    (Closes: #931675)

 -- Xavier Guimard <yadd@debian.org>  Tue, 09 Jul 2019 10:08:29 +0200

pkg-js-tools (0.5) unstable; urgency=medium

  * Fix typo in README.md
  * Use tar to copy test files
  * Launch test with "sh -e"

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Feb 2019 21:50:37 +0100

pkg-js-tools (0.4) unstable; urgency=medium

  * Add homepage
  * Update nodejs-dev break version

 -- Xavier Guimard <yadd@debian.org>  Mon, 04 Feb 2019 21:32:37 +0100

pkg-js-tools (0.3) unstable; urgency=medium

  * Fix autopkgtest error when no test file exists

 -- Xavier Guimard <yadd@debian.org>  Mon, 04 Feb 2019 21:25:37 +0100

pkg-js-tools (0.2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Wrap and sort control files and debhelper snippets.
  * Update copyright info: Use License-Grant and License-Reference fields.
  * Tidy: Use semantic linefeeds.
  * Fix mention JavaScript libraries (not Perl modules) in long description.

  [ Xavier Guimard ]
  * Add autopkgtest control example
  * Return 77 (skippable) if debian/tests/pkg-js/test is missing

 -- Xavier Guimard <yadd@debian.org>  Mon, 28 Jan 2019 20:52:25 +0100

pkg-js-tools (0.1) unstable; urgency=medium

  * Initial release (Closes: #920350)

 -- Xavier Guimard <yadd@debian.org>  Sun, 27 Jan 2019 09:27:55 +0100
